%define oname   tokyocabinet

Name:           ruby-%{oname}
Version:        1.29
Release:        %mkrel 5
Summary:        Tokyo Cabinet: a modern implementation of DBM
License:        LGPLv2.1
Group:          Development/Ruby
URL:            http://tokyocabinet.sourceforge.net/
Source0:        http://rubygems.org/gems/%{oname}-%{version}.gem
Patch0:		tokyocabinet-1.29-authors.patch
BuildRequires:  rubygems
BuildRequires:  ruby-devel
BuildRequires:  tokyocabinet-devel

%description
Tokyo Cabinet is a library of routines for managing a database.  The
database is a simple data file containing records, each is a pair of a key
and a value.  Every key and value is serial bytes with variable length. 
Both binary data and character string can be used as a key and a value. 
There is neither concept of data tables nor data types.  Records are
organized in hash table, B+ tree, or fixed-length array.

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
BuildArch:	noarch
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.

%files          doc
%doc %{ruby_gemdir}/doc/%{oname}-%{version}
#-------------------------------------------------------------------------------

%prep
%setup -q
tar xmf data.tar.gz
gunzip metadata.gz
%patch0 -p0
gzip metadata

%build
%gem_build

%install
%gem_install

%files
%{ruby_gemdir}/gems/%{oname}-%{version}/
%{ruby_gemdir}/specifications/%{oname}-%{version}.gemspec
%{ruby_sitearchdir}/%{oname}.so


%changelog

* Fri Feb 08 2013 umeabot <umeabot> 1.29-5.mga3
+ Revision: 396594
- Rebuild for CVE-2013-0256

* Mon Jan 14 2013 umeabot <umeabot> 1.29-4.mga3
+ Revision: 381600
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Nov 04 2012 fwang <fwang> 1.29-3.mga3
+ Revision: 314023
- update file list
- add authors
- rebuild for new ruby

* Sun Jan 22 2012 kamil <kamil> 1.29-2.mga2
+ Revision: 199449
- rebuild against new tokyocabinet 1.4.47
- clean .spec

* Thu Feb 10 2011 shikamaru <shikamaru> 1.29-1.mga1
+ Revision: 49718
- fix file list
- fix License
- imported package ruby-tokyocabinet

